MPI_Win_Lock(3)

NAME
MPI_Win_Lock - Starts an RMA access epoch

SYNOPSIS
#include <mpi.h>
int MPI_Win_lock(int lock_type, int rank, int assert, MPI_Win win)

INPUT PARAMETERS
lock_type
    - either MPI_LOCK_EXCLUSIVE or MPI_LOCK_SHARED (state)
rank
    - rank of locked window (nonnegative integer)
assert
    - program assertion (integer)
win - window object (handle)

NOTES
This function is currently not implemented in LAM/MPI. It will return an MPI_ERR_OTHER run time error.

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
wlock.c